require "player"
require "playerFunctions"
require "asteroid"
require "asteroidFunctions"
require "functions"

function love.load()
    math.randomseed(os.time())
    love.window.setMode(1280, 720, {fullscreen=false})
    love.graphics.setColor(255,255,255)
    
    width, height = love.window.getMode()
    
    player.makePlayer()
    asteroidController.spawn(nil, 10)
    

end

function love.update(dt)
    --player control
    updateCounters()
    getInput(dt)
    
    --player movement
    player.movePlayer()
    
    --asteroid movement
    asteroidController.moveAsteroids()
    
    --bullet movement
    moveBullets(dt)
    
    --collision
    collision()
end

function love.draw()
    if player.lives > 0 then
        if #asteroidController.asteroids == 0 then
            love.graphics.setColor(0,255,0)
            love.graphics.print("You Won! \n R to reset", width/2, height/2)
        end
        player.drawShip()
    else
        love.graphics.setColor(255,0,0)
        love.graphics.print("Game Over \n R to reset", width/2, height/2)
    end
    
    drawBullets()
    asteroidController.drawAsteroids()
end